Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myoperator
Class RelOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.RelOp

Direct Known Subclasses:
  EqualOp, GreaterEquOp, GreaterOp, LessEquOp, LessOp, NotEqualOp

    public abstract class RelOp

extends Operator

Constructor Summary
`RelOp()`

Method Summary
`abstract void` | `if_codegen(ClassFile classfile, CodeAttribute code, java.lang.String type, boolean not)`
`CTripleSet` | `TRExp(Binary binary, CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung der Algorithmen 5.49 bis 5.52 von Martin Pl�micke Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Integer" �berall durch den BaseType "IntegerType" ersetzt werden!!!

Methods inherited from class mycompiler.myoperator.Operator
`codegen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelOp

    public RelOp()

Method Detail

### if_codegen

    public abstract void if_codegen(ClassFile classfile,
                                    CodeAttribute code,
                                    java.lang.String type,
                                    boolean not)
                             throws JVMCodeException

  Throws:
    `JVMCodeException`

### TRExp

    public CTripleSet TRExp(Binary binary,
                            CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung der Algorithmen 5.49 bis 5.52 von Martin Pl�micke
  Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Integer" �berall durch den BaseType "IntegerType" ersetzt werden!!!
  Author: J�rg B�uerle

  Specified by:
    `TRExp` in class `Operator`
  Parameters:
    `binary` -
    `sigma` -
    `V` -
    `supportData` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD